Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## com.ejie.r01f.xlnets
Class R01FXLNetsSession

    java.lang.Object
      com.ejie.r01f.xlnets.R01FBaseXLNetsObject
          com.ejie.r01f.xlnets.R01FXLNetsSession

public class R01FXLNetsSession
extends R01FBaseXLNetsObject

TODO Define the type

Constructor Summary
`R01FXLNetsSession(org.w3c.dom.Node sessionNode)`

Method Summary
`java.lang.String` | `getDNI()` Devuelve el DNI
`java.lang.String` | `getGrupo()` Devuelve el grupo dentro de la organizacion
`java.lang.String` | `getHomePage()` Devuelve la pagina home del usuario
`java.lang.String` | `getIdioma()` Devuelve el idioma
`java.lang.String` | `getIp()` Devuelve la IP
`java.lang.String` | `getLogin()` Devuelve el Login (usuario)
`java.lang.String` | `getLoginApp()` Devuelve la aplicacion de login
`java.lang.String` | `getOrganizacion()` Devuelve el uid de la organizacion
`java.lang.String[]` | `getPerfiles()` Devuelve una lista de perfiles
`java.lang.String` | `getPersona()` Devuelve el codigo de la persona
`java.lang.String` | `getPuesto()` Devuelve el codigo del puesto
`java.lang.String` | `getUIDSession()` Devuelve el uid de la sesion
`java.lang.String` | `getUnidad()` Devuelve la unidad dentro del grupo
`static void` | `main(java.lang.String[] args)` Metodo main para probar el temilla
`java.lang.String` | `toString()`

Methods inherited from class java.lang.Object
`equals, getClass, hashCode, notify, notifyAll, wait, wait, wait`

Constructor Detail

### R01FXLNetsSession

    public R01FXLNetsSession(org.w3c.dom.Node sessionNode)

Method Detail

### getUIDSession

    public java.lang.String getUIDSession()

  Devuelve el uid de la sesion

### getDNI

    public java.lang.String getDNI()

  Devuelve el DNI

### getLogin

    public java.lang.String getLogin()

  Devuelve el Login (usuario)

### getPersona

    public java.lang.String getPersona()

  Devuelve el codigo de la persona

### getPuesto

    public java.lang.String getPuesto()

  Devuelve el codigo del puesto

### getIdioma

    public java.lang.String getIdioma()

  Devuelve el idioma

### getIp

    public java.lang.String getIp()

  Devuelve la IP

### getLoginApp

    public java.lang.String getLoginApp()

  Devuelve la aplicacion de login

### getHomePage

    public java.lang.String getHomePage()

  Devuelve la pagina home del usuario

### getOrganizacion

    public java.lang.String getOrganizacion()

  Devuelve el uid de la organizacion

### getGrupo

    public java.lang.String getGrupo()

  Devuelve el grupo dentro de la organizacion

### getUnidad

    public java.lang.String getUnidad()

  Devuelve la unidad dentro del grupo

### getPerfiles

    public java.lang.String[] getPerfiles()

  Devuelve una lista de perfiles

### toString

    public java.lang.String toString()

### main

    public static void main(java.lang.String[] args)

  Metodo main para probar el temilla

  Parameters:
    `args` -

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD